Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class PIOverNodeInfo

    java.lang.Object
      net.sf.saxon.dom.NodeOverNodeInfo
          net.sf.saxon.dom.PIOverNodeInfo

All Implemented Interfaces:
  Node, ProcessingInstruction

    public class PIOverNodeInfo

extends NodeOverNodeInfo
implements ProcessingInstruction

This class is an implementation of the DOM ProcessingInstruction interface that wraps a Saxon NodeInfo representation of a text or comment node.

Field Summary

Fields inherited from class net.sf.saxon.dom.NodeOverNodeInfo
`node`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`PIOverNodeInfo()`

Method Summary
`String` | `getData()` The content of this processing instruction.
`String` | `getTarget()` The target of this processing instruction.
`void` | `setData(String data)` The content of this processing instruction.

Methods inherited from class net.sf.saxon.dom.NodeOverNodeInfo
`appendChild, cloneNode, compareDocumentPosition, disallowUpdate, equals, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUnderlyingNodeInfo, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, wrap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### PIOverNodeInfo

    public PIOverNodeInfo()

Method Detail

### getTarget

    public String getTarget()

  The target of this processing instruction. XML defines this as being the first token following the markup that begins the processing instruction.

  Specified by:
    `getTarget` in interface `ProcessingInstruction`

### getData

    public String getData()

  The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the `?>`.

  Specified by:
    `getData` in interface `ProcessingInstruction`

### setData

    public void setData(String data)
                 throws DOMException

  The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the `?>`.

  Specified by:
    `setData` in interface `ProcessingInstruction`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.